
import java.awt.*;

import javax.swing.*;
import javax.swing.table.*;
import javax.swing.border.*;

import java.awt.Dimension;
import java.awt.Color;

import java.util.Vector;

// Schalter Event

import java.util.Collection;
import java.util.Collections;
import java.awt.event.*;




// Tabelle mit einer Klasse  und sortierung

public class Tabelle01 extends JFrame {
  JTable jTable1 = new JTable();


    public Tabelle01() {
      setSize(600,400);
    try  {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    }


  //Überschreiben, damit das Programm bei Herunterfahren des Systems beendet werden kann
  protected void processWindowEvent(WindowEvent e) {
    super.processWindowEvent(e);
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      System.exit(0);
    }
  }



    public static void main(String[] args) {
      Tabelle01 frame = new Tabelle01();
      frame.validate();
      frame.setVisible(true);
    }

  private void jbInit() throws Exception {
    jTable1.addMouseListener(new java.awt.event.MouseAdapter() {

      public void mouseClicked(MouseEvent e) {
        jTable1_mouseClicked(e);
      }
    });
    this.getContentPane().add(jTable1, BorderLayout.CENTER);
  }

  void jTable1_mouseClicked(MouseEvent e) {

  }

}

